com.ihr.xbrl.om.table.definition

## Class XBRLDimensionRelationshipNode.Node

- java.lang.Object
- - com.ihr.xbrl.om.table.definition.RelationshipGraphNode.Node<XBRLDimensionRelationshipNode.Node>
  - - com.ihr.xbrl.om.table.definition.XBRLDimensionRelationshipNode.Node

- Enclosing class:
    XBRLDimensionRelationshipNode

      public static class XBRLDimensionRelationshipNode.Node
      extends RelationshipGraphNode.Node<XBRLDimensionRelationshipNode.Node>

  The Class Node.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLDimensionRelationshipNode.Node(XMLFragment node, int mIndex, boolean bUsable)` Instantiates a new node.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.namespace.QName` | `getNodeName()` Gets the node name.
    `boolean` | `isAbstract()` Checks if is abstract.

    - ### Methods inherited from class com.ihr.xbrl.om.table.definition.RelationshipGraphNode.Node

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLDimensionRelationshipNode.Node

          public XBRLDimensionRelationshipNode.Node(XMLFragment node,
                                            int mIndex,
                                            boolean bUsable)

      Instantiates a new node.
      Parameters:
        `node` - the node
        `mIndex` - the m index
        `bUsable` - the b usable

  - ### Method Detail

    - #### getNodeName

          public javax.xml.namespace.QName getNodeName()

      Description copied from class: `RelationshipGraphNode.Node`
      Gets the node name.
      Specified by:
        `getNodeName` in class `RelationshipGraphNode.Node<XBRLDimensionRelationshipNode.Node>`
      Returns:
        the node name

    - #### isAbstract

          public boolean isAbstract()

      Description copied from class: `RelationshipGraphNode.Node`
      Checks if is abstract.
      Specified by:
        `isAbstract` in class `RelationshipGraphNode.Node<XBRLDimensionRelationshipNode.Node>`
      Returns:
        true, if is abstract